import 'package:flutter_test/flutter_test.dart';

import 'package:flutter_extension_kits/flutter_extension_kits.dart';

void main() {
  test('format String', () {
    // Given
    // const String text = 'Today is %2\$ and tomorrow is %1\$';
    const String text = 'Today is {1} and tomorrow is {0}';
    final List<String> placeHolders = List<String>()
      ..add('Tuesday')
      ..add('Monday');
    const String expected = 'Today is Monday and tomorrow is Tuesday';

    // When
    final String actual = text.format(placeHolders);

    // Then
    print(actual);
    expect(actual, expected);
  });
}
